org.eclipse.microprofile.jwt.tck.arquillian

## Class BaseExtension

- java.lang.Object
- - org.eclipse.microprofile.jwt.tck.arquillian.BaseExtension

All Implemented Interfaces:
  org.jboss.arquillian.core.spi.LoadableExtension

    public class BaseExtension
    extends Object
    implements org.jboss.arquillian.core.spi.LoadableExtension

TODO; flesh out the stubs more

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.arquillian.core.spi.LoadableExtension

`org.jboss.arquillian.core.spi.LoadableExtension.ExtensionBuilder, org.jboss.arquillian.core.spi.LoadableExtension.Validate`

### Constructor Summary

Constructors
Constructor and Description
`BaseExtension()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Class<? extends org.jboss.arquillian.container.test.spi.client.deployment.ApplicationArchiveProcessor>` `getApplicationArchiveProcessor()` Override to return your implementation of ApplicationArchiveProcessor
`void` `register(org.jboss.arquillian.core.spi.LoadableExtension.ExtensionBuilder extensionBuilder)` Called to allow for extensions of the Arquillian runtime

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseExtension

    public BaseExtension()

### Method Detail

#### register

    public void register(org.jboss.arquillian.core.spi.LoadableExtension.ExtensionBuilder extensionBuilder)

Called to allow for extensions of the Arquillian runtime

Specified by:
  `register` in interface `org.jboss.arquillian.core.spi.LoadableExtension`
Parameters:
  `extensionBuilder` - - extension SPI

#### getApplicationArchiveProcessor

    protected Class<? extends org.jboss.arquillian.container.test.spi.client.deployment.ApplicationArchiveProcessor> getApplicationArchiveProcessor()

Override to return your implementation of ApplicationArchiveProcessor

Returns:
  vendor ApplicationArchiveProcessor implementation